--  The only purpose of this ASIS "application" is to enforce
--  the compilation of all the ASIS implementation and GNAT components
--  needed for any real ASIS application for creating the executable

with Asis;

with Asis.Ada_Environments;
with Asis.Ada_Environments.Containers;
with Asis.Clauses;
with Asis.Compilation_Units;
with Asis.Compilation_Units.Times;
with Asis.Compilation_Units.Relations;
with Asis.Data_Decomposition;
with Asis.Declarations;
with Asis.Definitions;
with Asis.Elements;
with Asis.Expressions;
with Asis.Ids;
with Asis.Implementation;
with Asis.Implementation.Permissions;
with Asis.Statements;
with Asis.Text;
with Asis.Iterator;

with Asis.Extensions;
with Asis.Extensions.Flat_Kinds;
with Asis.Data_Decomposition.Extensions;

with Text_IO; use Text_IO;

procedure Install_ASIS is
begin
   Put_Line ("Hello, I am an ASIS Application!");
end Install_ASIS;